Subject: Re: bug#7784: executable-find does not find scripts on woe32

From: Óscar Fuentes <[email-masked]>
Date: Wed, 05 Jan 2011 15:24:26 +0100

Eli Zaretskii <[email-masked]> writes:

> How would this be useful?  Right now, it returns true for files that
> you can "execute" from the native Windows build of Emacs using native
> Windows shells and the cmd proxy that is part of the Emacs package.

One thing I noticed while experimenting with file-executable-p is that
it returns false for files with extensions listed in PATHEXT. For
instance, .JS is listed on one machine's PATHEXT but, after creating
foo.js, (file-executable-p "foo.js") returns nil.

As those files are directly executable from the shell, maybe Emacs
should recognize them as executables as well?

[snip]